> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasrdshost.md).

# New-RASRDSHost

### NAME

New-RASRDSHost\ <br>

### SYNOPSIS

Adds an RD Session Host server to a site.\ <br>

### SYNTAX

New-RASRDSHost \[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#Server)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#SiteId)] *\<uint>*] \[-[AddUsersToRDSUsers](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#AddUsersToRDSUsers) *\<string\[]>*] \[-[NoDesktopExperience](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#NoDesktopExperience) *\<SwitchParameter>*] \[-[NoFireWallRules](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#NoFireWallRules) *\<SwitchParameter>*] \[-[NoInstall](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#NoInstall) *\<SwitchParameter>*] \[-[NoRestart](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#NoRestart) *\<SwitchParameter>*] \[-[NoTerminalServices](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#NoTerminalServices) *\<SwitchParameter>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#CommonParameters)*>*]\
\
New-RASRDSHost \[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#Server)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#SiteId)] *\<uint>*] -[Password](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#Password) *\<SecureString>* -[Username](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#Username) *\<string>* \[-[AddUsersToRDSUsers](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#AddUsersToRDSUsers) *\<string\[]>*] \[-[NoDesktopExperience](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#NoDesktopExperience) *\<SwitchParameter>*] \[-[NoFireWallRules](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#NoFireWallRules) *\<SwitchParameter>*] \[-[NoRestart](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#NoRestart) *\<SwitchParameter>*] \[-[NoTerminalServices](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#NoTerminalServices) *\<SwitchParameter>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASRDSHost.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Adds an RD Session Host server to a site.\
\
The RD Session Host agent will be installed on the server by default. You can optionally skip the agent installation by including the -NoInstall parameter.\ <br>

### PARAMETERS

\
-**Server \<string>**\
A RD Session Host server FQDN or IP address.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
The site ID to which to add the specified server.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Username \<string>**\
An administrator account for push installing the RD Session Host agent on the server.\
\
If this parameter is omitted, your RAS admin username (and password) will be used.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Password \<SecureString>**\
The password of the account specified in the Username parameter.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NoInstall \<SwitchParameter>**\
Specifies not to install the RD Session Host agent on the server.\
\
If this parameter is omitted, the agent will be push installed on the server using your RAS admin credentials.\
\
To specify different credentials for push installation, specify the Username and Password parameters.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NoRestart \<SwitchParameter>**\
Specifies not to restart the server after the RD Session Host agent is installed.\
\
If this parameter is omitted, the server will be restarted if required.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NoFireWallRules \<SwitchParameter>**\
Specifies not to add firewall rules to allow the RDS Host Agent to communicate.\
\
If this parameter is omitted, the firewall rules will not be added.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NoDesktopExperience \<SwitchParameter>**\
Specifies not to install the Desktop Experience after the RD Session Host agent is installed.\
\
If this parameter is omitted, the Desktop Experience is installed.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NoTerminalServices \<SwitchParameter>**\
Specifies not to install the Terminal Services role after the RD Session Host agent is installed.\
\
If this parameter is omitted, the Terminal Services role will be installed.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AddUsersToRDSUsers \<string\[]>**\
Specifies the list of users or groups in UPN or SID format to be added to the RDSUsers Group in csv format.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[RDSHost](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHost.html)

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
New-RASRDSHost "server.company.dom"\
\
Adds the specified RD Sessions Host server to the Licensing Server site (default).\
\
The RD Session Host agent will be installed on the server using your RAS admin credentials (default).\
**---------- EXAMPLE 2 ----------**\
\
New-RASRDSHost -Server "server.company.dom" -SiteId 2 -Username "myname" -Password $pass\
\
Adds the specified RD Session Host server to the specified site.\
\
The -Username and -Password parameters specify credentials, which will be used to push install the RD Session Host agent on the server.\
**---------- EXAMPLE 3 ----------**\
\
New-RASRDSHost "server.company.dom" -NoInstall\
\
Adds the specified RD Session Host server to the Licensing Server site (default).\
\
The RD Session Host agent will not be installed on the server.\
\
You can skip the agent installation if it's already installed on the server.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasrdshost.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
